package org.implab.gradle.common.exec;

import java.util.List;
import java.util.stream.Stream;

public interface CommandSpec {

    String executable();

    List<String> arguments();

    default List<String> commandLine() {
        return Stream.concat(Stream.of(executable()), arguments().stream()).toList();
    }

}
